jQuery(document).ready(function($) {
    $("form.infocob-crm-forms select.display_search.select2JS").select2({
        allowClear: true,
    });
    
    $("form.infocob-crm-forms select.select2JS").not(".display_search").select2({
        allowClear: true,
        minimumResultsForSearch: -1
    });
    
    let forms = $("form.infocob-crm-forms");
    $(forms).on("submit", function(event) {
        if($(this).attr("target") !== "_blank") {
            $(event.currentTarget).find(".if-btn-submit .infocob-crm-forms-ajax-loader").addClass("visible");
        }
        
        $(event.currentTarget).find(".if-btn-submit > button").prop("disabled", true);
    });
    
    $(forms).on("input", function(event) {
        $(event.currentTarget).find(".if-btn-submit > button").prop("disabled", false);
    });
    
    if(typeof(grecaptcha) !== 'undefined' && icf_form && icf_form.google_recpatcha_v3_enabled && icf_form.google_recaptcha_v3_client_key) {
        grecaptcha.ready(function() {
            $("form.infocob-crm-forms").each((index, form) => {
                $(form).on("submit.recaptcha", (event) => {
                    event.preventDefault();
                    grecaptcha.execute(icf_form.google_recaptcha_v3_client_key, {action: 'submit'}).then(function(token) {
                        $(form).find("input[name='recaptcha_token']").val(token);
                        $(form).off("submit.recaptcha");
                        $(form).submit();
                    });
                })
            });
        });
    }
    
});
